--[[
  Access to Steam API.
]]

local steam = {
  user = {}
}

---@return integer|nil @Returns `nil` if user is not available or Steam API is not working properly.
function steam.user.getPlayerSteamLevel()
  return __util.native('lib.steam', 'user.steamlevel')
end

---Available to scripts with I/O access or online scripts only, others will raise an error.
---@return string|nil @Returns `nil` if ticket is not available or Steam API is not working properly.
function steam.user.getAuthSessionTicket()
  return __util.native('lib.steam', 'user.authticket')
end

return steam
